package cn.stylefeng.workflow.design.modular.service;

import cn.stylefeng.roses.kernel.db.api.pojo.page.PageResult;
import cn.stylefeng.workflow.api.entity.design.NodeEdge;
import cn.stylefeng.workflow.design.modular.pojo.request.NodeEdgeRequest;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface NodeEdgeService extends IService<NodeEdge> {

    void add(NodeEdgeRequest nodeEdgeRequest);

    void del(NodeEdgeRequest nodeEdgeRequest);

    void edit(NodeEdgeRequest nodeEdgeRequest);

    NodeEdge detail(NodeEdgeRequest nodeEdgeRequest);

    List<NodeEdge> findList(NodeEdgeRequest nodeEdgeRequest);

    PageResult<NodeEdge> findPage(NodeEdgeRequest nodeEdgeRequest);

    void updateDefinitionEdges(Long definitionId, List<NodeEdge> newEdgeList);

}